
Redmine - Patch #5972

Updated Hebrew translation for 1.0.0

2010-07-27 13:34 - Orgad Shaneh

Status: Closed Start date: 2010-07-27

Priority: Normal Due date: 2010-07-29

Assignee: Azamat Hackimov % Done: 100%

Category: Translations Estimated time: 0.00 hour

Target version: 1.0.1   

Description

Hello,

I made major updates and completed the translation.

Please consider merging the Rtl theme (see #2318) as a standard theme. It's a must for RTL writers... I'm attaching an updated

version as well.

Thanks!

Related issues:

Has duplicate Redmine - Patch #5574: some rtl fixes Closed 2010-05-23

Associated revisions

Revision 3893 - 2010-07-28 22:05 - Azamat Hackimov

Translation updates

de (#5982)

he (#5972)

hu (#5962)

zh (#5910)

Revision 3898 - 2010-07-29 17:48 - Azamat Hackimov

RTL theme for reference (thanks to Orgad Shaneh, #5972)

History

#1 - 2010-07-27 13:35 - Orgad Shaneh

sub-left.gif is unneeded. it is included in rtl.zip

#2 - 2010-07-27 13:45 - Felix Schäfer

- Category set to Translations

- Assignee set to Azamat Hackimov

#3 - 2010-07-28 22:05 - Azamat Hackimov

- Status changed from New to 7

- % Done changed from 0 to 50

yml file commited. I'll check RTL theme later.

#4 - 2010-07-29 17:48 - Azamat Hackimov

- Due date set to 2010-07-29

- Status changed from 7 to Closed

- Target version set to 1.0.1

- % Done changed from 50 to 100

Theme commited, thank you for work!

2025-05-02 1/2

https://www.redmine.org/issues/2318


#5 - 2010-07-29 18:23 - Orgad Shaneh

Is there a way to make the application use the RTL theme when the user chooses an RTL language, or even better - let each user choose his theme?

The current implementation forces the administrator to set the theme for all users and languages, because the setting is in the Administration panel.

#6 - 2010-07-29 18:24 - Orgad Shaneh

You forgot the sub-left image in the revision (it's inside the zip).

#7 - 2010-07-29 18:30 - Orgad Shaneh

Well, I see you replaced it with bullet_arrow_left. Is it visible? Why not use the same image from the LTR theme reversed?

#8 - 2010-07-29 18:32 - Azamat Hackimov

Orgad Shaneh wrote:

Is there a way to make the application use the RTL theme when the user chooses an RTL language, or even better - let each user choose his

theme? The current implementation forces the administrator to set the theme for all users and languages, because the setting is in the

Administration panel.

 No, I don't know how implement this. Patches are welcome :). I think it should be implemented in language file itself. Try open new bug for this

feature.

You forgot the sub-left image in the revision (it's inside the zip).

 No, I reused png file from images.

Files

rtl.zip 1.66 KB 2010-07-27 Orgad Shaneh

he.yml 42.4 KB 2010-07-27 Orgad Shaneh

sub-left.gif 51 Bytes 2010-07-27 Orgad Shaneh

app-rtl.patch 1.51 KB 2010-07-27 Orgad Shaneh

css.patch 276 Bytes 2010-07-27 Orgad Shaneh
